#!/bin/bash
# check for new rstudio and download it if necessary

set -e
ubuntudlversion=trusty
rawstring=$(curl -s https://rstudio.com/products/rstudio/download-server/debian-ubuntu/ |
  grep -o -e "wget https:\/\/.*server\/${ubuntudlversion}.*\/rstudio-server-[0-9.]\+-amd64.deb")
prefix="$"
suffix="<br />"
noprefix=${rawstring#$prefix}
nosuffix=${noprefix%$suffix}
dlcommand="$nosuffix -q -P /home/monitoring/"
cur_version=$(rstudio-server version)
avail_version=$(cut -d "-" -f 3 <<< "$dlcommand")
if [ "$avail_version" == "$cur_version" ]
  then
    echo "RStudio up to date."
  else
    if [ ! -e /home/monitoring/rstudio-server-"${avail_version}"-amd64.deb ]
      then
        eval "$dlcommand"
    fi
    echo "RStudio version $avail_version available (in use $cur_version)"
fi
